LibreOffice LibreOffice 5.3 SDK C/C++ API Reference

Public Attributes | List of all members
uno_Enterable Struct Reference

A struct pReserved needs to point to, if implementing a purpose environment. More...

`#include <Enterable.h>`

Inheritance diagram for uno_Enterable:

## Public Attributes
uno_Enterable_enter * | m_enter
uno_Enterable_leave * | m_leave
uno_Enterable_callInto_v * | m_callInto_v
uno_Enterable_callOut_v * | m_callOut_v
uno_Enterable_isValid_v * | m_isValid

## Detailed Description

A struct pReserved needs to point to, if implementing a purpose environment.

(http://wiki.openoffice.org/wiki/Uno/Binary/Spec/Environment_Stack)

Since
  UDK 3.2.7

## Member Data Documentation

## ◆ m_callInto_v

uno_Enterable_callInto_v* uno_Enterable::m_callInto_v

## ◆ m_callOut_v

uno_Enterable_callOut_v* uno_Enterable::m_callOut_v

## ◆ m_enter

uno_Enterable_enter* uno_Enterable::m_enter

## ◆ m_isValid

uno_Enterable_isValid_v* uno_Enterable::m_isValid

## ◆ m_leave

uno_Enterable_leave* uno_Enterable::m_leave

The documentation for this struct was generated from the following file:

- uno/Enterable.h